package com.fjhx.account.service.account;

import com.fjhx.account.entity.account.po.AccountRemainder;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountRemainderVo;
import com.fjhx.account.entity.account.dto.AccountRemainderSelectDto;
import com.fjhx.account.entity.account.dto.AccountRemainderDto;


/**
 * <p>
 * 账户-余额表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
public interface AccountRemainderService extends BaseService<AccountRemainder> {

    /**
     * 账户-余额表分页
     */
    Page<AccountRemainderVo> getPage(AccountRemainderSelectDto dto);

    /**
     * 账户-余额表明细
     */
    AccountRemainderVo detail(Long id);

    /**
     * 账户-余额表新增
     */
    void add(AccountRemainder accountRemainderDto);

    /**
     * 账户-余额表编辑
     */
    void edit(AccountRemainderDto accountRemainderDto);

    /**
     * 账户-余额表删除
     */
    void delete(Long id);

}
